<?php
$h1			= 'U3 "Configurations" administrator';
$mobj->decor_folder	= 'sbs_wp/';
$mobj->decor_file	= 'decor_main.php';
$mobj->mmm_403		= 'u0/cp/403';

// Definition of rights of groups
$u3r_cfg_add		= '';		// To add new configuration file

include_once _MOBJ_MODULES_FOLDER_.'u3/lib_u3.php';

include_once _MOBJ_MODULES_FOLDER_.'u0/lib_help_system.php';
$u3_help = new Help_System(_MOBJ_MODULES_FOLDER_.'u3/help/help_config.php');

$admin_mmm = 'u3/admin';

$o_u3 = new U3($mdl_no);

//*************************** Section of actions ******************************
// Adding a configuration file
if ($add_cfg) {
  if (!$mobj->check_authority($u3r_cfg_add)) {
    Header("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&mdl_no=$mdl_no&sys_mes="._LNG_U00_NORIGHTS_."!"); exit;
  }
  $res = $o_u3->u3add_cfg($cfg_id);
  if ($res == 0) $sys_mes = _LNG_U3_RMAC0_;
  if ($res == 1) $sys_mes = _LNG_U3_RMAC1_.'!';
  Header("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&mdl_no=$mdl_no&sys_mes=$sys_mes"); exit;
}

// Deleting a configuration file
if ($delete_cfg) {
  $res = $o_u3->u3delete_cfg($delete_cfg);
  if ($res == 0) $sys_mes = _LNG_U3_RMDC0_.'!';
  if ($res == 1) $sys_mes = _LNG_U00_NORIGHTS_;
  Header("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&mdl_no=$mdl_no&sys_mes=$sys_mes"); exit;
}

// Updating a configuration file
if ($update_cfg) {
  $res = $o_u3->u3update_cfg($u3cfg_data);
  if ($res == 0) $sys_mes = _LNG_U3_RMUC0_;
  if ($res == 1) $sys_mes = _LNG_U00_NORIGHTS_;
  Header("Location: "._MOBJ_I_."?mmm=".$admin_mmm."&mdl_no=$mdl_no&cfg_id=".$u3cfg_data[id]."&sys_mes=$sys_mes"); exit;
}
//************************ End of Section of actions **************************
?>

<div class="sys_mes"><?= stripslashes($sys_mes) ?></div>

<?php
echo '
	<p />
	<form name="mdl_select" action="'._MOBJ_I_.'">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<b>'._LNG_U3_SLCT_.':</b> 
	'._LNG_U3_MDLNO_.':
	<select name="mdl_no" onchange="javascript:mdl_select.submit()">
	<option value="">--- '._LNG_U3_SLCT_.' ---</option>
';
$R = mysql_list_tables($mobj->DB);
$I = 0;
while ($I < $mobj->DB_num_rows($R)) {
  $tbl_names[$I] = mysql_tablename ($R, $I);
  preg_match_all("/u(.*?)_configuration/", $tbl_names[$I], $tmp);
  if ($tmp[1][0] != '')
    echo '<option value="'.$tmp[1][0].'"'.($mdl_no==$tmp[1][0]?' selected':'').'>U'.$tmp[1][0].'</option>';
  $I++;
}
echo '
	</select>
	</form>
';
if (is_numeric($mdl_no)) {

switch ($amode) {
  // Configuration
  default:
    if ($pers_set[ug] != '') {
      $cfg_list = $o_u3->u3get_cfg_list();
      echo '
	<p />
	<form name="cfg_select" action="'._MOBJ_I_.'">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<input type="hidden" name="mdl_no" value="'.$mdl_no.'">
	'._LNG_U3_SLCTCFG_.':
	<select name="cfg_id" onchange="javascript:cfg_select.submit()">
	<option value="">--- '._LNG_U3_SLCT_.' ---</option>
      ';
      foreach ($cfg_list as $I=>$val)
        if ($mobj->check_authority($cfg_list[$I][gid_r], $cfg_list[$I][uid]))
          echo '<option value="'.$I.'"'.((isset($cfg_id) and $I==$cfg_id)?' selected':'').'>'.$cfg_list[$I][title].' (ID '.$I.')</option>';
      echo '
	</select>
	</form>
      ';
      $cfg_data = $o_u3->u3get_cfg_data($cfg_id);
      if (isset($cfg_id) and $cfg_data and $mobj->check_authority($cfg_data[gid_r], $cfg_data[uid])) {
        echo '
	<h2>'._LNG_U3_H7_.' "'.$cfg_list[$cfg_id][title].'":</h2>
        ';
        if ($mobj->check_authority($cfg_data[gid_w], $cfg_data[uid])) echo '
	<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_del.gif" /> 
	<a href="javascript:if (window.confirm(\''._LNG_U3_SURE2_.'?\')) window.location.href=\''._MOBJ_I_.'?mmm='.$admin_mmm.'&mdl_no='.$mdl_no.'&delete_cfg='.$cfg_id.'\'; else void(null);">'._LNG_U3_DELCFG_.'</a>
          ';
        if ($mobj->check_authority('0')) echo '
	<img src="'._MOBJ_THEMES_FOLDER_.$mobj->decor_folder.'pics/icon_attr.gif" /> 
	<a href="javascript:window.open(\''._MOBJ_I_.'?mmm=u0/cp/attributes&table=u'.$mdl_no.'_configuration&id='.$cfg_data[id].'\',\'Attributes\',\'scrollbars=no,left=\'+(screen.width-350)/2+\',top=30,width=350,height=200\'); void(null);">'._LNG_U00_ATTR_HINT1_.'</a>
          ';
        echo '
	<p />
	'.$u3_help->get_context_href('cfg').'
	<form action="'._MOBJ_I_.'" method="post">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<input type="hidden" name="u3cfg_data[id]" value="'.$cfg_id.'">
	<input type="hidden" name="mdl_no" value="'.$mdl_no.'">
	<table cellspacing="0">
	<tr>
	<td valign="top">ID</td>
	<td><b>'.$cfg_id.'</b></td>
	</tr>
        ';
        foreach ($cfg_data as $field=>$val) {
          if (!in_array($field, array('id','uid','gid_r','gid_w'))) echo '
  	<tr>
  	<td valign="top">'.$field.'</td>
  	<td><textarea name="u3cfg_data['.$field.']" cols="120" rows="'.ceil(strlen($val)/50).'"'.(($field=='title' and ($cfg_id=='' or $cfg_id=='admin'))?' disabled="disabled"':'').'>'.str_replace(array('<','>'), array('&lt;','&gt;'), $val).'</textarea></td>
  	</tr>
          ';
        }
        echo '
	<tr><td></td><td><input type="submit" name="update_cfg" value="'._LNG_U3_EDITS_.'"'.($mobj->check_authority($cfg_data[gid_w], $cfg_data[uid])?'':' disabled="disabled"').' /></td></tr>
	</table>
	</form>
	';
      }
      echo '
	<h2>'._LNG_U3_ADDCFG_.':</h2>
	<form action="'._MOBJ_I_.'" method="post">
	<input type="hidden" name="mmm" value="'.$admin_mmm.'">
	<input type="hidden" name="mdl_no" value="'.$mdl_no.'">
	ID <input type="text" name="cfg_id" />
	<input type="submit" name="add_cfg" value="'._LNG_U3_B_ADD_.'"'.($mobj->check_authority($u3r_cfg_add)?'':' disabled="disabled"').' /><br />
	'._LNG_U3_NOTE3_.'
	</form>
      ';
    } else echo '<div class="sys_mes">'._LNG_U00_NORIGHTS_.'!</div>';
    break;
}

}
?>