<?php
@include_once _MOBJ_MODULES_FOLDER_.'u3/lang/lng_'.$pers_set[lng].'.php';
@include_once _MOBJ_MODULES_FOLDER_.'u3/lang/lng_'.$HTTP_ACCEPT_LANGUAGE.'.php';
@include_once _MOBJ_MODULES_FOLDER_.'u3/lang/lng_en.php'; // Default language, if not found any other

$mobj->m_name[3] = 'U3 "Configurations"';
$mobj->m_ver[3] = '1.3';
$mobj->m_changes[3] = '';

// Main class of module U3
class U3 {
  var $mdl_no;	// Number of module

  function U3($mdl_no)
  {
    $this->mdl_no = $mdl_no;
  }

  // Return array with IDs of existing configuration files
  function u3get_cfg_list()
  {
    global $mobj;
    $mobj->SQL = "select id, title, uid, gid_r, gid_w from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration order by title";
    $R = $mobj->DB_db_query();
    for ($I=0;$I<$mobj->DB_num_rows($R);$I++) {
      $list[$mobj->DB_result($R,$I)][title] = $mobj->DB_result($R,$I,'title');
      $list[$mobj->DB_result($R,$I)][uid] = $mobj->DB_result($R,$I,'uid');
      $list[$mobj->DB_result($R,$I)][gid_r] = $mobj->DB_result($R,$I,'gid_r');
      $list[$mobj->DB_result($R,$I)][gid_w] = $mobj->DB_result($R,$I,'gid_w');
    }
    return $list;
  }

  // Return data of configuration file
  function u3get_cfg_data($cfg_id)
  {
    global $mobj;
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration where id='$cfg_id'";
    $R = $mobj->DB_db_query();
    if ($mobj->DB_num_rows($R) > 0) return $mobj->DB_fetch_assoc($R);
    else return FALSE;
  }

  // Adds a configuration file
  // Out: 1 if such ID is exists
  function u3add_cfg($cfg_id)
  {
    global $mobj, $pers_set;
    $mobj->SQL = "select id from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration where id='$cfg_id'";
    $R = $mobj->DB_db_query();
    if ($mobj->DB_num_rows($R) > 0) return 1;
    $mobj->SQL = "insert into "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration
      (id,uid,gid_r,gid_w,title) values('$cfg_id','".$pers_set[id]."','".$pers_set[gid_rm]."','".$pers_set[gid_wm]."','$cfg_id')";
    $R = $mobj->DB_db_query();
    $mobj->log_event(_LNG_U3_LOG1_.' (Mdl '.$this->mdl_no.', ID '.$cfg_id.')', $pers_set[id]);
    return 0;
  }

  // Deletes a configuration file
  // Out: 1 if user denied
  function u3delete_cfg($cfg_id)
  {
    global $mobj, $pers_set;
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration where id='$cfg_id'";
    $R = $mobj->DB_db_query();
    if (!$mobj->check_authority($mobj->DB_result($R,0,'gid_w'),$mobj->DB_result($R,0,'uid'))) return 1;

    $mobj->SQL = "delete from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration where id='$cfg_id'";
    $mobj->log_event(_LNG_U3_LOG3_.' (Mdl '.$this->mdl_no.', ID '.$cfg_id.')', $pers_set[id]);
    $R = $mobj->DB_db_query();
    return 0;
  }

  // Updates a configuration file
  // Out: 1 if user denied
  function u3update_cfg($cfg_data)
  {
    global $mobj, $pers_set;
    $mobj->SQL = "select * from "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration where id='".$cfg_data[id]."'";
    $R = $mobj->DB_db_query();
    if (!$mobj->check_authority($mobj->DB_result($R,0,'gid_w'),$mobj->DB_result($R,0,'uid'))) return 1;

    if (get_magic_quotes_gpc()) $tmp_quotes = TRUE;
    foreach ($cfg_data as $I=>$val) {
      if (!in_array($I, array('id','uid','gid_r','gid_w'))) {
        $val  = str_replace(array('&lt;','&gt;'), array('<','>'), $val);
        if (!empty($suf)) $suf .= ',';
        if (!$tmp_quotes) $val = addslashes($val);
        $suf .= " $I='$val'";
      }
    }
    $mobj->SQL = "update "._MOBJ_DB_TPREF_.'u'.$this->mdl_no."_configuration set$suf where id='".$cfg_data[id]."'";
    $mobj->log_event(_LNG_U3_LOG2_.' (Mdl '.$this->mdl_no.', ID '.$cfg_data[id].')', $pers_set[id]);
    $R = $mobj->DB_db_query();
    return 0;
  }
}
?>